Summary: A utility for creating TTY dialog boxes.
Name: dialog
Version: 0.6
Release: 10mdk
Copyright: GPL
Group: System/Libraries
BuildRequires: gpm-devel ncurses-devel
Source: ftp://ftp.redhat.com/pub/misc/dialog-0.6.tar.bz2
Patch0: dialog-0.6-ncurses.patch.bz2
Patch1: dialog-0.6-opt.patch.bz2
Patch2: dialog-0.6-loop.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q
%patch0 -p1 -b .ncurses
%patch1 -p1 -b .opt
%patch2 -p1 -b .loop
cd src
make depend

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}

install -s src/dialog $RPM_BUILD_ROOT%{_bindir}

install man/dialog.man $RPM_BUILD_ROOT%{_mandir}/man1/dialog.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING dialog.lsm INSTALL README samples
%{_bindir}/dialog
%{_mandir}/man1/*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6-10mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-9mdk
- macros, BM, _spechelper_ (manpges)

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.6-8mdk
- Correct URL & Group.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root (removed the make install, do it by hand)

* Thu Nov 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
